PGASetStoppingRuleType(8)

NAME
PGASetStoppingRuleType - specify a stopping criterion.

DESCRIPTION
If called more than once the different stopping criterion are ORed together. Valid choices are PGA_STOP_MAXITER, PGA_STOP_TOOSIMILAR, or PGA_STOP_NOCHANGE to specify iteration limit reached, population too similar, or no change in the best solution found in a given number of iterations, respectively. The default is to stop when a maximum iteration limit is reached (by default, 1000 iterations).

INPUT PARAMETERS
ctx - context variable
stoprule
    - symbolic constant to specify stopping rule

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
void  PGASetStoppingRuleType(ctx, stoprule)
PGAContext *ctx
int stoprule

LOCATION
stop.c

EXAMPLE
Example:
PGAContext *ctx;
:
PGASetStoppingRuleType(ctx, PGA_STOP_TOOSIMILAR);